package com.fdkankan.ucenter.controller.api;

import com.fdkankan.common.util.SecurityUtil;
import com.fdkankan.ucenter.common.BaseController;
import com.fdkankan.ucenter.common.ResultData;
import com.fdkankan.ucenter.service.ISceneProService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/ucenter/_manage")
public class MangeApiController extends BaseController {

    @Autowired
    ISceneProService sceneProService;

    @GetMapping("/_copy_scene")
    public ResultData copyScene(@RequestParam(required = false) String num) throws Exception {
        if(!"m_a_n_a_g_e".equals(getSign())){
            return ResultData.error(-1,"无权过问");
        }
        sceneProService.copySceneNoCheck(num);
        return ResultData.ok();
    }

}
